csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator Class Reference

An const iterator class for the csHash class. More...

`#include <csutil/hash.h>`

List of all members.

## Public Member Functions
void | Advance ()
| Advance the iterator of one step.
| ConstGlobalIterator ()
| Empty constructor.
| ConstGlobalIterator (const ConstGlobalIterator &o)
| Copy constructor.
bool | HasNext () const
| Returns a boolean indicating whether or not the hash has more elements.
const T & | Next ()
| Get the next element's value.
const T & | Next (K &key)
| Get the next element's value and key.
const T & | NextNoAdvance ()
| Get the next element's value, don't move the iterator.
const T & | NextNoAdvance (K &key)
| Get the next element's value and key, don't move the iterator.
const csTuple2< T, K > | NextTuple ()
| Return a tuple of the value and key.
ConstGlobalIterator & | operator= (const ConstGlobalIterator &o)
| Assignment operator.
void | Reset ()
| Move the iterator back to the first element.
## Friends
class | csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >

## Detailed Description

### template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>
class csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator

An const iterator class for the csHash class.

Definition at line 759 of file hash.h.

## Constructor & Destructor Documentation

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator::ConstGlobalIterator | ( |  | ) | `[inline]`

Empty constructor.

Definition at line 800 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator::ConstGlobalIterator | ( | const ConstGlobalIterator & | o | ) | `[inline]`

Copy constructor.

Definition at line 803 of file hash.h.

## Member Function Documentation

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

void csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator::Advance | ( |  | ) | `[inline]`

Advance the iterator of one step.

Definition at line 827 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

bool csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator::HasNext | ( |  | ) | const`[inline]`

Returns a boolean indicating whether or not the hash has more elements.

Definition at line 820 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

const T& csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator::Next | ( |  | ) | `[inline]`

Get the next element's value.

Definition at line 840 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

const T& csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator::Next | ( | K & | key | ) | `[inline]`

Get the next element's value and key.

Definition at line 855 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

const T& csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator::NextNoAdvance | ( |  | ) | `[inline]`

Get the next element's value, don't move the iterator.

Definition at line 834 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

const T& csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator::NextNoAdvance | ( | K & | key | ) | `[inline]`

Get the next element's value and key, don't move the iterator.

Definition at line 848 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

const csTuple2<T, K> csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator::NextTuple | ( |  | ) | `[inline]`

Return a tuple of the value and key.

Definition at line 862 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

ConstGlobalIterator& csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator::operator= | ( | const ConstGlobalIterator & | o | ) | `[inline]`

Assignment operator.

Definition at line 810 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

void csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::ConstGlobalIterator::Reset | ( |  | ) | `[inline]`

Move the iterator back to the first element.

Definition at line 871 of file hash.h.

The documentation for this class was generated from the following file:

- csutil/hash.h